/***************************************************************

   Copyright 1993  Northeast Data Corp.  All Rights Reserved

****************************************************************/

/***************************************************************


   Scraper.h

   Public definitions for applications that use the Scraper 
   control.

    - Messages
    - Notification codes.
    - Control Styles.

****************************************************************/

   // Maximum length of "Scrape ID" string
#define MAXSCRAPEID     8

   //Control-specific messages
#define SCM_SETCOMMAND        (WM_USER+1)
#define SCM_SETSCRAPEID       (WM_USER+2)
#define SCM_GETSCRAPEID       (WM_USER+3)
#define SCM_SETACTION         (WM_USER+4)
#define SCM_GETDATA           (WM_USER+5)

   // Commands (sent in wParam of the SCM_SETCOMMAND message
#define SCC_CONFIGURE         1
#define SCC_SCRAPE            2
#define COMMANDMAX            2

   // Scrape actions - sent in wParam of SCM_SETACTION message
#define ACTION_GETTEXT              0
#define ACTION_GETBUTTONSTATE       1
#define ACTION_GETLISTBOXTEXT       2
#define ACTION_GETEDITTEXT          3
#define ACTIONMAX                   3

   // The one callable function to force the DLL to load
void FAR PASCAL registerScraper(void);

   // C Error codes
#define ERR_TASKNOTFOUND      1
#define ERR_WINDOWNOTFOUND    2
#define ERR_INVALIDACTION     3
#define ERR_INVALIDLPARAM     4
#define ERR_NODATA            5

   // Visual Basic error codes
#define VBERR_TASKNOTFOUND    20001
#define VBERR_WINDOWNOTFOUND  20002
