##################################################################
#
#     Northeast Data Corp.    April 1, 1994
#
#     Modify as you wish
#
##################################################################

##### DEBUG Version Built #####
DEBUG	= 1

##### APP Macros #####
APPNAME    = test
APPSRCS    = $(APPNAME).c 
APPOBJS    =

##### C7 Macro #####
C7	   = 1

##### APP Library Macros #####
APPLIBS    = libw llibcew scraper
APPMOD	   = -AL

##### APP Include Macros #####
APPINCLS   = $(APPNAME).h

##### APP Resource Macros #####
APPRCFILES = $(APPNAME).ico $(APPNAME).rc

##### Build Option Macros #####
!if $(DEBUG)
DDEF	= -DDEBUG
CLOPT	= -Zid -Od
MOPT	= -Zi
LOPT	= /CO /LI /MAP
!else
DDEF	=
CLOPT	= -Os
LOPT	=
!endif

##### Tool Macros #####
ASM	= masm -Mx $(MOPT) $(DDEF) $(DEF)
CC	= cl -nologo -c $(APPMOD) -G2sw -Zp -W3 $(CLOPT) $(DDEF) $(DEF) $(DEMO)
LINK	= link /NOD /NOE $(LOPT)
RC	= rc $(DDEF) $(DEF)
HC	= hc

##### Inference Rules #####
.c.obj:
    $(CC) $*.c

.asm.obj:
    $(ASM) $*.asm;

.rc.res:
    $(RC) -r $(DEMO) $*.rc

##### Main (default) Target #####
goal:  test.exe

##### Dependents For Goal and Command Lines #####
test.obj: test.c
    $(CC) $*.c

test.res: test.dlg test.h

test.exe: test.obj test.def test.res scraper.lib
    $(LINK) @<<
    test.obj,
    test.exe,
    test.map,
    libw llibcew scraper,
    test.def
<<
    $(RC) -T test.res
!if $(DEBUG)
    mapsym test.map
!endif

##### Dependents #####
$(APPSRCS:.c=.obj): $(APPINCLS)
$(APPNAME).res: $(APPINCLS) $(APPRCFILES)

##### Clean Directory #####
clean:
    -del *.obj
    -del *.res
    -del *.map
    -del *.sym
    -del *.lib
    -def *.exe
